package com.example.demo.controller;

import com.example.demo.model.Car;
import com.example.demo.service.CarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api")
public class CarController {

    @Autowired
    private CarService service;

    // http://localhost:4444/api/all
    @GetMapping("/all")
    public ResponseEntity<List<Car>> findAll() {
        return ResponseEntity.ok(service.findAll());
    }

    // http://localhost:4444/api/scrollapi
    @GetMapping("/scrollapi")
    public ResponseEntity<List<Car>> findByScrollApi() {
        return ResponseEntity.ok(service.findCarsUsingOffsetFilteringAndWindowIterator("2009"));
    }
}
